org.eclipse.cdt.core.parser.util

## Class InstanceOfPredicate<T>

- java.lang.Object
- - org.eclipse.cdt.core.parser.util.InstanceOfPredicate<T>

All Implemented Interfaces:
  IUnaryPredicate<T>

    public class InstanceOfPredicate<T>
    extends Object
    implements IUnaryPredicate<T>

Unary predicate returning `true` if the object is an instance of the given class or interface.

Since:
  5.7

### Constructor Summary

Constructors
Constructor and Description
`InstanceOfPredicate(Class<?> type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(T obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InstanceOfPredicate

    public InstanceOfPredicate(Class<?> type)

### Method Detail

#### apply

    public boolean apply(T obj)

Specified by:
  `apply` in interface `IUnaryPredicate<T>`